unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, PngImage;

type

  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }

    procedure SetLayeredWindowAttr( h: THandle; AlphaValue: Integer );
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  png : TPngImage;
begin
  png := TPngImage.Create;
  try
    png.LoadFromFile( 'test.png' );
    Self.ClientWidth := png.Width;
    Self.ClientHeight := png.Height;
    Image1.Picture.Graphic := png;
  finally
    png.Free;
  end;

  SetLayeredWindowAttr( Panel1.Handle, 150);
end;

procedure TForm1.SetLayeredWindowAttr(h: THandle; AlphaValue: Integer);
var
  dwExStyle : Cardinal;
begin
  dwExStyle := GetWindowLong( h, GWL_EXSTYLE);
  dwExStyle := dwExStyle or WS_EX_LAYERED;
  SetWindowLong( h, GWL_EXSTYLE, dwExStyle);
  SetLayeredWindowAttributes( h, 0, AlphaValue, LWA_ALPHA);
end;


end.
